Summary: An OpenGL widget for the GTK+ GUI library.
Name: gtkglarea
Version: 1.2.2
Release: 19
License: GPL
Group: System Environment/Libraries
Source: http://www.student.oulu.fi/~jlof/gtkglarea/gtkglarea-%{version}.tar.gz 
URL: http://www.student.oulu.fi/~jlof/gtkglarea/
Requires: gtk+ >= 1:1.2.6
Buildrequires: XFree86-devel >= 4.0, gtk+-devel >= 1:1.2.6, Mesa-devel >= 3.4.2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post,postun): /sbin/ldconfig

%description
GtkGLArea is an OpenGL widget for GTK+ (the Gimp ToolKit), a GUI
library.  GtkGLArea is built on top of gdkgl.  Gdkgl is basically a
wrapper around GLX functions.  The GtkGLArea widget is derived from
the GtkDrawingArea widget and only adds a few functions.

%prep
%setup -q

%build
%configure --with-lib-GL --with-gnu-ld
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

mv -f examples examples-orig
mkdir examples
cp -f examples-orig/*.c examples
cp -f examples-orig/{gdkfont,glpixmap,gtkglarea_demo,simple,zktor} examples
cp -f examples-orig/README examples
cp -f examples-orig/{*.c,*.h} examples

# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT%{_datadir}/aclocal

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README NEWS  COPYING AUTHORS INSTALL docs/*.txt examples
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so*
%{_includedir}/gtkgl

%changelog
* Wed Mar 16 2004 Mike A. Harris <mharris@redhat.com> 1.2.2-19
- Removed all hard coded deps on "XFree86", only XFree86-devel should be
  required for the time being. (#118434)
- Added Requires(post,postun): /sbin/ldconfig

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Jeff Johnson <jbj@redhat.com> 1.2.2-15
- don't include -debuginfo files in package.

* Mon Dec  9 2002 Tim Powers <timp@redhat.com> 1.2.2-14
- rebuild on all arches
- remove unpackaged files from the buildroot

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jul 20 2001 Owen Taylor <otaylor@redhat.com>
- Add Buildrequires on Mesa-devel (#49497)

* Fri Jul 13 2001 Than Ngo <than@redhat.com> 1.2.2-9
- remove broken soname to the library
- Copyright->Lisence

* Fri Jul  6 2001 Tim Powers <timp@redhat.com>
- added a soname to the library

* Thu Jul  5 2001 Tim Powers <timp@redhat.com>
- rebuilt against the new binutils for prelinking (temporary measure)

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- rebuilt against newer gtk+ libs

* Mon Jan 15 2001 Tim Powers <timp@redhat.com>
- exclude ia64

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jun 13 2000 Than Ngo <than@redhat.de>
- rebuild with GL in XFree-4.0
- fix requires

* Fri May 12 2000 Tim Powers <timp@redhat.com>
- updatd to 1.2.2

* Fri Jul 2 1999 Tim Powers <timp@redhat.com>
- new version 1.2.1
- built for Powertools 6.1

* Tue Feb 02 1999 Michael Maher <mikee@redhat.com>
- built package
